CentOS7 升级 GCC

CentOS7自带gcc4.8.5,哪怕用yum install gcc-c++也不能升级到gcc5或者6。

如果想要安装更高版本的gcc,可以按照如下步骤:

$ sudo yum install centos-release-scl -y
$ sudo yum install devtoolset-6-gcc devtoolset-6-gcc-c++
$ scl enable devtoolset-6 bash
$ gcc --version

其中devtoolset-3表示gcc4.9
其中devtoolset-4表示gcc5.3
换成devtoolset-6表示gcc6.2

如果安装了多个版本,可以根据需要使用:source /opt/rh/devtoolset-X/enable进行切换。(实际上是对环境变量的设置)

若要在启动的时候就生效,可以放置到~/.bashrc之中即可。

点赞

发表评论

电子邮件地址不会被公开。 必填项已用*标注